<?php
/**
*
* Order items view
*
* @package	VirtueMart
* @subpackage Orders
* @author Oscar van Eijk, Valerie Isaksen
* @link http://www.virtuemart.net
* @copyright Copyright (c) 2004 - 2010 VirtueMart Team. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* VirtueMart is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* @version $Id: details_items.php 5442 2012-02-14 20:59:06Z Milbo $
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

if($this->format == 'pdf'){
	$widthTable = '100';
	$widtTitle = '27';
} else {
	$widthTable = '100';
	$widtTitle = '49';
}


?><table class="Tabla" width="<?php echo $widthTable ?>%" cellspacing="0" cellpadding="0" border="0">
	<tr align="left" class="sectiontableheader">
		<th class="CampoCab ACC" width="15%"><?php echo JText::_('COM_VIRTUEMART_ORDER_PRINT_SKU') ?></th>
		<th class="CampoCab ACC"><?php echo JText::_('COM_VIRTUEMART_PRODUCT_NAME_TITLE') ?></th>
		<th class="CampoCab ACC" width="10%"><?php echo JText::_('COM_VIRTUEMART_ORDER_PRINT_PRICE') ?></th>
		<th class="CampoCab ACC" width="5%"><?php echo JText::_('COM_VIRTUEMART_ORDER_PRINT_QTY') ?></th>
		<th class="CampoCab ACC" width="10%"><?php echo JText::_('COM_VIRTUEMART_ORDER_PRINT_TOTAL') ?></th>
		<th class="CampoCab ACC" width="10%"><?php echo JText::_('COM_VIRTUEMART_ORDER_PRINT_SUBTOTAL_DISCOUNT_AMOUNT') ?></th>
		<th class="CampoCab ACC" width="10%"><?php echo JText::_('COM_VIRTUEMART_ORDER_PRINT_TOTAL') ?></th>
	</tr>
	<?php 	
	//VARIABLES PARA TOTALES DE FACTURA A LA ESPAÑOLA :P
	$TotalBruto =  (float) 0 ; 
	$TotalDesc = (float) 0 ;
	$IVA = (float) 0;
	
	// Listado de items
	foreach($this->orderdetails['items'] as $item) {
		$_link = JRoute::_('index.php?option=com_virtuemart&view=productdetails&virtuemart_category_id=' . $item->virtuemart_category_id . '&virtuemart_product_id=' . $item->virtuemart_product_id);
		vmdebug('tmpl details_item $item',$item);
		
		$IVA = (($item->product_basePriceWithTax / $item->product_item_price)-1) * 100;
		$TotalProd = $item->product_item_price * $item->product_quantity;
		$DescProd = $item->product_subtotal_discount / (1 + ($IVA/100));
		$PorcentDescProd = 100 - ((($TotalProd +  $DescProd)/$TotalProd ) * 100) ;
	 	$TotalDesc = $TotalDesc + $DescProd ;
		$TotalBruto =  $TotalBruto + $TotalProd ;
		
		?>
					
		<tr valign="top">
			<td class="Campo ACC">
				<?php echo $item->order_item_sku; ?>
			</td>
			<td class="Campo AIC">
				<a href="<?php echo $_link; ?>"><?php echo $item->order_item_name; ?></a>
				<?php
					if (!empty($item->product_attribute)) {
							if(!class_exists('VirtueMartModelCustomfields'))require(JPATH_VM_ADMINISTRATOR.DS.'models'.DS.'customfields.php');
							$product_attribute = VirtueMartModelCustomfields::CustomsFieldOrderDisplay($item,'FE');
						echo $product_attribute;
					}
				?>
			</td>
			<td class="Campo ADC">
				<?php echo $this->currency->priceDisplay($item->product_item_price); ?>
			</td>
			<td class="Campo ADC">
				<?php echo $item->product_quantity; ?>
			</td>
			<td class="Campo ADC">
				<?php 
				
				echo $this->currency->priceDisplay($TotalProd);
				?>
			</td>
		    <td  class="Campo TVN ADC">
				<?php
					echo $this->currency->priceDisplay( $DescProd ) ; 
				?>
			</td>
			<td class="Campo TN ADC">
				<?php echo $this->currency->priceDisplay( $TotalProd +  $DescProd); ?>		
			</td>
		</tr>

	<?php }
	
	//Miro si hay cargos de transporte....
	if ( $this->orderdetails['details']['BT']->order_shipment  <> 0.00) {
		$TotalBruto = $TotalBruto + $this->orderdetails['details']['BT']->order_shipment; ?>
		<tr>
			<td class="Campo ACC">
				<?php echo Portes ; ?>
			</td>
			<td class="Campo AIC">
				<?php echo JText::_('COM_VIRTUEMART_ORDER_PRINT_SHIPPING') ; ?>
			</td>
			<td class="Campo ADC">
				<?php echo $this->currency->priceDisplay($this->orderdetails['details']['BT']->order_shipment); ?>
			</td>
			<td class="Campo ADC">1</td>
			<td class="Campo ADC"><?php echo $this->currency->priceDisplay($this->orderdetails['details']['BT']->order_shipment); ?></td>
			<td class="Campo TVN ADC"><?php echo $this->currency->priceDisplay(0); ?></td>
			<td class="Campo TN ADC"><?php echo $this->currency->priceDisplay($this->orderdetails['details']['BT']->order_shipment); ?></td>
		</tr>
	
	<?php }
	
	//Saco  la base imponible y total del IVA...
	$BaseImp=$TotalBruto + $TotalDesc;
	$TotalIVA =($BaseImp * $IVA)/100;
	//Imprimo el total de la factura....?>
	<tr>
		<td colspan="7">
			<hr />
			<div class="ContTabla">
				<table class="Tabla" width="<?php echo $widthTable ?>%" cellspacing="0" cellpadding="0" border="0">
					<tr>
						<th class="CampoCab ACC" width="10%">Bruto</th>
						<th class="CampoCab ACC" width="10%"><?php echo JText::_('COM_VIRTUEMART_ORDER_PRINT_SUBTOTAL_DISCOUNT_AMOUNT'); ?></th>
						<th class="CampoCab ACC" width="10%">Base imponible</th>
						<th class="CampoCab ACC" width="10%"><?php echo JText::_('COM_VIRTUEMART_ORDER_PRINT_PAYMENT_TAX') ?></th>
						<th class="CampoCab ACC" width="10%">Cuota de IVA</th>
						<th class="CampoCab ACC" width="10%"><?php echo JText::_('COM_VIRTUEMART_ORDER_PRINT_TOTAL') ;?></th>
					</tr>
					<tr>
						<th class="Campo"><?php echo $this->currency->priceDisplay($TotalBruto) ;?></th>
						<th class="Campo TVN"><?php echo $this->currency->priceDisplay($TotalDesc) ;?></th>
						<th class="Campo"><?php	echo $this->currency->priceDisplay($BaseImp); ?></th>
						<th class="Campo"><?php echo $IVA .'%' ?></th>
						<th class="Campo"><?php	echo $this->currency->priceDisplay($TotalIVA);?></th>
						<th class="Campo"><?php echo $this->currency->priceDisplay($BaseImp + $TotalIVA); ?></th>
					</tr>
				</table>
			</div>
		</td>
	</tr>

</table>
